kobject_set_name
Prev | Kernel objects manipulation | Next

## Name

kobject_set_name — Set the name of a kobject

## Synopsis

`int kobject_set_name (` | struct kobject * | kobj,
| const char * | fmt,
|  | ...`)`;

## Arguments

`kobj`

  struct kobject to set the name of

`fmt`

  format string used to build the name

`...`

  variable arguments

## Description

This sets the name of the kobject. If you have already added the kobject to the system, you must call `kobject_rename` in order to change the name of the kobject.

Prev | Up | Next
kobject_get_path | Home | kobject_init